AOZ Studio Beta - Bug #710

Invalid manifest string crashes the transpiler.
04/01/2021 12:10 AM - Brian Flanagan

Status: Closed Start date:
Assignee: Francois Lionet % Done:
Category: Estimated time:
Target version: 1.0.0 (B7)

Affected version: 1.0.0 (B6a)

Description

| consider anything that crashes the transpiler as a high priority.

IMO, instead of crashing the compiler, this should just display a warning, and assume the default.

At the very least, an error message should be displayed: Unrecognized manifest name.
Example:
#manifest: "pc"

The result is some cryptic error message. (see shapshot)
Instead, it should read something like:

Unrecognized manifest name: pc

History

#1 - 04/01/2021 02:26 PM - Francois Lionet
- Status changed from New to Resolved

- Assignee set to Francois Lionet

Fixed!

#2 - 04/14/2021 01:53 PM - Brian Flanagan
- Status changed from Resolved to Closed

- Target version set to 1.0.0 (B7)

Corrected in 1.0.0 (B7)
AOZ now assumes default manifest if an invalid manifest ID is used.

NOTE: It should, however, display a warning error of the invalid manifest ID when transpiling.
For example: If the following #manifest tag is used:

#manifest: "zzz"
...then we should see an error in the "AOZ Messages" window, something like this:

Warning: Bad manifest ID "zzz" at line 1. Assuming default.
